Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510587 - Add rsd-lib and python-rsdclient packages to RDO
Summary: Add rsd-lib and python-rsdclient packages to RDO
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: 1466873 RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-11-07 17:56 UTC by Nate Potter
Modified: 2018-01-12 15:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-12 15:27:32 UTC


Attachments (Terms of Use)

Description Nate Potter 2017-11-07 17:56:08 UTC
Description of problem:
The rsd-lib and python-rsdclient projects in OpenStack must be added to RDO in order to enable use of RackScale hardware in a Red Hat cloud environment.

The projects can be found in the OpenStack namespace on Github here:

https://github.com/openstack/rsd-lib
https://github.com/openstack/python-rsdclient

Comment 1 Haïkel Guémar 2017-11-08 21:58:05 UTC
We don't have internal ressources to maintain these new features -nor have the hardware to test them-, but we accept contributions.

Comment 2 Nate Potter 2017-11-08 21:59:57 UTC
Hi Haikel, we plan on contributing and maintaining as well as testing these ourselves. Currently going through documentation to learn how to do so.

Comment 3 Haïkel Guémar 2017-11-08 22:04:30 UTC
Ok, feel free to ask me if you have question (number80 on irc). pyp2rpm tool may be a good starting point to generate those packages (seems to be libraries).

Comment 4 Alfredo Moralejo 2017-11-14 09:21:10 UTC
Thanks for your contribution, would it be possible to have two bugzillas, one for each package?

Comment 5 Nate Potter 2017-11-16 16:45:45 UTC
Yes I'll set up two separate tickets. Sorry for the delay, I've been sick for a few days.

Comment 6 Nate Potter 2017-11-16 16:53:54 UTC
Here are links to the two new tickets:

https://bugzilla.redhat.com/show_bug.cgi?id=1514115

https://bugzilla.redhat.com/show_bug.cgi?id=1514119

Comment 7 Alfredo Moralejo 2018-01-12 15:27:32 UTC
Both python-rsd-lib and python-rsdclient have been pushed to RDO Trunk Master repository.


Note You need to log in before you can comment on or make changes to this bug.